import { DataGrouping } from '../../../../../interfaces/WidgetInterfaces';
import { OnInit } from '@angular/core';
export declare class DataGroupingEditorComponent implements OnInit {
    dataGrouping: DataGrouping;
    columns: string[];
    newGroupByColum: string;
    operations: string[];
    constructor();
    AddGroupBy(): void;
    RemoveGroupBy(col: string): void;
    AddAggregate(): void;
    RemoveAggregate(i: number): void;
    ngOnInit(): void;
}
